curl --request GET \
--url https://operator.opus.com/job/{YOUR_JOB_EXECUTION_ID}/results \
--header 'x-service-key: {YOUR_SERVICE_KEY}'
import requests
url = "https://operator.opus.com/job/{YOUR_JOB_EXECUTION_ID}/results"
headers = {"x-service-key": "{YOUR_SERVICE_KEY}"}
response = requests.get(url, headers=headers)
results = response.json()
# Iterate over each output variable defined by your workflow
for name, variable in results["jobResultsPayloadSchema"].items():
print(f"{name} ({variable['type']}): {variable['value']}")
const response = await fetch(
"https://operator.opus.com/job/{YOUR_JOB_EXECUTION_ID}/results",
{
method: "GET",
headers: {
"x-service-key": "{YOUR_SERVICE_KEY}",
},
}
);
const results = await response.json();
// Iterate over each output variable defined by your workflow
for (const [name, variable] of Object.entries(results.jobResultsPayloadSchema)) {
console.log(`${name} (${variable.type}): ${variable.value}`);
}
{
"jobResultsPayloadSchema": {
"{OUTPUT_VARIABLE_1}": {
"value": "{STRING_VALUE}",
"type": "str",
"displayName": "Summary"
},
"{OUTPUT_VARIABLE_2}": {
"value": "{FILE_URL}",
"type": "file",
"displayName": "Generated Report"
}
}
}
Deprecated
Get Job Execution Results
Retrieve the output and results of a completed job
GET
/
job
/
{jobExecutionId}
/
results
curl --request GET \
--url https://operator.opus.com/job/{YOUR_JOB_EXECUTION_ID}/results \
--header 'x-service-key: {YOUR_SERVICE_KEY}'
import requests
url = "https://operator.opus.com/job/{YOUR_JOB_EXECUTION_ID}/results"
headers = {"x-service-key": "{YOUR_SERVICE_KEY}"}
response = requests.get(url, headers=headers)
results = response.json()
# Iterate over each output variable defined by your workflow
for name, variable in results["jobResultsPayloadSchema"].items():
print(f"{name} ({variable['type']}): {variable['value']}")
const response = await fetch(
"https://operator.opus.com/job/{YOUR_JOB_EXECUTION_ID}/results",
{
method: "GET",
headers: {
"x-service-key": "{YOUR_SERVICE_KEY}",
},
}
);
const results = await response.json();
// Iterate over each output variable defined by your workflow
for (const [name, variable] of Object.entries(results.jobResultsPayloadSchema)) {
console.log(`${name} (${variable.type}): ${variable.value}`);
}
{
"jobResultsPayloadSchema": {
"{OUTPUT_VARIABLE_1}": {
"value": "{STRING_VALUE}",
"type": "str",
"displayName": "Summary"
},
"{OUTPUT_VARIABLE_2}": {
"value": "{FILE_URL}",
"type": "file",
"displayName": "Generated Report"
}
}
}
Once the status of a job is
COMPLETED, you can use this endpoint to retrieve the results of the job execution. The response contains a single top-level field, jobResultsPayloadSchema, whose keys are the output variable names defined by your workflow.
This endpoint should only be called after the job status returns
COMPLETED. Check the status first using Get Job Status.Path Parameters
string
required
The ID of the job whose execution results you want to retrieve. This is the
jobExecutionId returned from Initiate Job.Headers
string
required
Your API authentication key
Response
object
required
The workflow’s output payload, keyed by output variable name. Each entry is a Variable Object whose shape mirrors the inputs you provided in Execute Job.
The keys inside
jobResultsPayloadSchema are defined by your workflow’s output schema and will vary between workflows. The example below is illustrative — your output variable names will differ.curl --request GET \
--url https://operator.opus.com/job/{YOUR_JOB_EXECUTION_ID}/results \
--header 'x-service-key: {YOUR_SERVICE_KEY}'
import requests
url = "https://operator.opus.com/job/{YOUR_JOB_EXECUTION_ID}/results"
headers = {"x-service-key": "{YOUR_SERVICE_KEY}"}
response = requests.get(url, headers=headers)
results = response.json()
# Iterate over each output variable defined by your workflow
for name, variable in results["jobResultsPayloadSchema"].items():
print(f"{name} ({variable['type']}): {variable['value']}")
const response = await fetch(
"https://operator.opus.com/job/{YOUR_JOB_EXECUTION_ID}/results",
{
method: "GET",
headers: {
"x-service-key": "{YOUR_SERVICE_KEY}",
},
}
);
const results = await response.json();
// Iterate over each output variable defined by your workflow
for (const [name, variable] of Object.entries(results.jobResultsPayloadSchema)) {
console.log(`${name} (${variable.type}): ${variable.value}`);
}
{
"jobResultsPayloadSchema": {
"{OUTPUT_VARIABLE_1}": {
"value": "{STRING_VALUE}",
"type": "str",
"displayName": "Summary"
},
"{OUTPUT_VARIABLE_2}": {
"value": "{FILE_URL}",
"type": "file",
"displayName": "Generated Report"
}
}
}
Was this page helpful?